- Main Page
- Related Pages
- Modules
- Data Structures
- Files
- Examples

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Data Fields
_Evas_Event_Key_Down Struct Reference

Key press event. More...

## Data Fields
char * | keyname
| the name string of the key pressed
void * | data
Evas_Modifier * | modifiers
| modifier keys pressed during the event
Evas_Lock * | locks
const char * | key
| The logical key : (eg shift+1 == exclamation)
const char * | string
| A UTF8 string if this keystroke has produced a visible string to be ADDED.
const char * | compose
| A UTF8 string if this keystroke has modified a string in the middle of being composed - this string replaces the previous one.
unsigned int | timestamp
Evas_Event_Flags | event_flags
Evas_Device * | dev

## Detailed Description

Key press event.

Examples:
  ecore_evas_window_sizes_example.c, edje-basic.c, edje-box.c, edje-box2.c, edje-drag.c, edje-perspective.c, edje-signals-messages.c, evas-aspect-hints.c, evas-box.c, evas-events.c, evas-hints.c, evas-images.c, evas-images2.c, evas-map-utils.c, evas-object-manipulation.c, evas-smart-interface.c, evas-smart-object.c, evas-stacking.c, evas-text.c, test_bouncing_ball.c, and test_velocity.c.